package com.inspect.base.datasource.env;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.env.EnvironmentPostProcessor;
import org.springframework.core.Ordered;
import org.springframework.core.env.ConfigurableEnvironment;

public class ApplicationSeataInitializer implements EnvironmentPostProcessor, Ordered {
   public void postProcessEnvironment(ConfigurableEnvironment environment, SpringApplication application) {
      System.setProperty("spring.main.allow-circular-references", "true");
   }

   public int getOrder() {
      return Integer.MAX_VALUE;
   }
}
